org.jbpm.services.task.audit.service

## Class AbstractTaskAuditQueryBuilderImpl<Q,R>

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<Q>
  - - org.jbpm.services.task.audit.service.AbstractTaskAuditQueryBuilderImpl<Q,R>

- Type Parameters:
    `Q` - The type of the interface of the specific `AbstractQueryBuilderImpl` implementation
    `R` - The type of result
  Direct Known Subclasses:
    TaskVariableQueryBuilderImpl

      public abstract class AbstractTaskAuditQueryBuilderImpl<Q,R>
      extends org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<Q>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTaskAuditQueryBuilderImpl(org.kie.internal.task.api.InternalTaskService taskService)`
    `AbstractTaskAuditQueryBuilderImpl(TaskJPAAuditService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.query.ParametrizedQuery<R>` | `build()`
    `Q` | `date(Date... date)`
    `Q` | `dateRangeEnd(Date rangeStart)`
    `Q` | `dateRangeStart(Date rangeStart)`
    `protected abstract TaskCommand` | `getCommand()`
    `protected abstract Class` | `getQueryType()`
    `protected abstract Class<R>` | `getResultType()`
    `Q` | `processId(String... processId)`
    `Q` | `processInstanceId(long... processInstanceId)`
    `Q` | `processInstanceIdRange(Long processInstanceIdMin, Long processInstanceIdMax)`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTaskAuditQueryBuilderImpl

          public AbstractTaskAuditQueryBuilderImpl(TaskJPAAuditService jpaAuditService)

    - #### AbstractTaskAuditQueryBuilderImpl

          public AbstractTaskAuditQueryBuilderImpl(org.kie.internal.task.api.InternalTaskService taskService)

  - ### Method Detail

    - #### processInstanceId

          public Q processInstanceId(long... processInstanceId)

    - #### processInstanceIdRange

          public Q processInstanceIdRange(Long processInstanceIdMin,
                                          Long processInstanceIdMax)

    - #### processId

          public Q processId(String... processId)

    - #### date

          public Q date(Date... date)

    - #### dateRangeStart

          public Q dateRangeStart(Date rangeStart)

    - #### dateRangeEnd

          public Q dateRangeEnd(Date rangeStart)

    - #### getResultType

          protected abstract Class<R> getResultType()

    - #### getQueryType

          protected abstract Class getQueryType()

    - #### getCommand

          protected abstract TaskCommand getCommand()

    - #### build

          public org.kie.internal.query.ParametrizedQuery<R> build()

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.